debugChannel.c File Reference
`#include <gmodule.h>`
`#include "strutil.h"`
`#include "util.h"`
`#include "vmrpcdbgInt.h"`
`#include "rpcChannelInt.h"`
`#include "vmxrpc.h"`
`#include "xdrutil.h"`
`#include "vmware/tools/utils.h"`

## Macros

#define | G_LOG_DOMAIN "rpcdbg"

## Typedefs

typedef struct DbgChannelData | DbgChannelData

## Functions

RpcChannel * | RpcDebug_NewDebugChannel (ToolsAppCtx *ctx, RpcDebugLibData *data)

## Detailed Description

Implements an RPC Channel that is backed by a "debug plugin". The plugin provides information about what data should be "read" by the RPC Channel, and sinks for the data the application writes to the channel, so that the plugin can perform validation.

## Function Documentation

## RpcDebug_NewDebugChannel()

RpcChannel * RpcDebug_NewDebugChannel | ( | ToolsAppCtx * | ctx,
|  | RpcDebugLibData * | data )

Instantiates a new RPC Debug Channel. This function will load and initialize the given debug plugin.

This function will panic is something wrong happens while loading the plugin.

Parameters

  [in] | ctx | The application context.
  [in] | data | Debug library data.

Returns
  A new channel.